# ApfelNetzwerk

1. [ApfelNetzwerk](#apfelnetzwerk) \
   1.1  [Individual learning goal & reflection](#individual-learning-goal--reflection) \
   1.2. [DIY Problem Definition](#diy-problem-definition) \
   1.3. [Empathy Map](#empathy-map) \
   1.4. [Walt Disney Method](#walt-disney-method) \
   1.5. [Business Canvas Model](#business-canvas-model) \
   1.6. [Go-Viral Post](#go-viral-post) \
   1.7. [Use Case Diagram](#use-case-diagram) 

2. [Additional infos about the project](#additional-infos-about-the-project) \
   2.1. [Considerations](#approachesconsiderations)\
   2.2. [Setup](#setup)
   2.3. [Notes](#notes)



# Apfelnetzwerk

This document contains the entire portfolio for our project, "ApfelNetzwerk." It presents a solution to the challenges faced by the "Altes Land" region in recent years.

Below, you will find individual learning goals, reflections, and important details about the project, including the methods used throughout our work.

## Individual learning goal & reflection

**Mikail Killi** \
**Goal:** To improve my documentation and communication skills while expanding my technical knowledge regarding the hardware we are documenting. \
**Reflection:** Throughout the project, I significantly improved my ability to document technical details clearly and concisely. This process helped me develop stronger communication skills, and I now feel more confident in handling technical documentation tasks. 

**Niklas Wollenberg** \
**Goal:** To learn how to work with REST APIs. \
**Reflection:** By working on the frontend of our project, I gained a solid understanding of effectively using API calls and handling responses. 

**Mika Bomm** \
**Goal:** To program a REST API. \
**Reflection:** Through extensive research and trial-and-error, I successfully built a fully functional REST API capable of managing all supported API calls. 

**Conner Bogen** \
**Goal:** To develop and implement a functional Ad-Hoc wireless network using multiple microcontrollers, enabling efficient communication between devices without the need for a central controller. \
**Reflection:** Through hands-on experimentaion and testing, I successfully built a reliable Ad-Hoc wireless network that allowed multiple microcontrollers to communicate seamlessly. This experience greatly enhanced my understanding of network protocols and microcontroller programming. 

## DIY Problem Definition

The DIY Problem Definition provides a structured overview of the issues we aim to address in our project.

![DIY Problem Definition](docs/diy-problem-definition.jpg)

## Empathy Map

The Empathy Map helps us understand the needs, thoughts, and emotions of our user, guiding is in designing solutions that truly address their concerns.

![Empathy Map](docs/empathy-map.jpg)

## Walt Disney Method

We utilized the Walt Disney method to brainstorm and evaluate ideas. This process allowed us to explore creative solutions from different perspectives aswell as improving our problem-solving approach.

![Walt Disney](docs/walt-disney.jpg)

## Business Canvas Model

The Business Canvas Model outlines key business aspects of the project, such as key partners, key propositions, customer segments and many more.

![Business Canvas Model](docs/HACKERSOHN%20-%20Frame%204.jpg)

## Go-Viral Post 

Our project is featured in a Go-Viral post, which not only provides an overview of the project but also helps spread awareness about our initiative. You can read the full post here:

[Go-Viral Post](https://www.designentrepreneurshipworkshop.org/2024/10/10/team-16-supporting-the-farmers-on-the-altes-land/)

## Use Case Diagram

The Use Case Diagram visually represents the interactions within our system. It was generated using Graphviz, with a Python library that translates code into the DOT language used by Graphviz.

![Use Case Diagram](docs/use_case_diagram.svg)


# Additional infos about the project

## Approaches/Considerations
In the following [document](docs/considerations.md), we have documented various approaches, challenges and lessons learned during the project.

## Setup
We have created a comprehensive [setup document](docs/SETUP.md) to guide you through setting up the project. This document primarily focuses on using Docker to ensure a smooth configuration process.

## Notes
You may also view our [Miro board](https://miro.com/app/board/uXjVLalWhTw=/?share_link_id=740126325996) for better readiblity.